/**********************************************************
 Application
***********************************************************/
.atlwdg-trigger {
    z-index: 1040;   
}
html, body {
    height: 100%;
    overflow: hidden;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
}

.cordova-ios {
    margin-top: 20px;
}

.img-circle {
    margin: 5px 15px 0 0;
    padding: 0;
    border: 2px solid grey;
    width: 48px !important;
    height: 48px !important;
    border-radius: 150px;
    -webkit-border-radius: 150px;
    -moz-border-radius: 150px;
    box-shadow: 0 0 8px rgba(0, 0, 0, .8);
    -webkit-box-shadow: 0 0 8px rgba(0, 0, 0, .8);
    -moz-box-shadow: 0 0 8px rgba(0, 0, 0, .8);
}
.icon-label {
    padding-left: 12px;
}
.center {
    width: 100%;
    text-align: center;
}
iframe {
    height: calc(100% - 16px);
    width: 100%;
}

[ng\:cloak], [ng-cloak], [data-ng-cloak], [x-ng-cloak], .ng-cloak, .x-ng-cloak {
    visibility: hidden !important;
}

.fa {
    font-family: FontAwesome !important;
}

/*This is to prevent a selected li > a tag from not being seen with the correct color.  The li in our framework has a bg-primary on it for selected.*/
.bg-primary a {
	color: #fff;
}

#panel {
    overflow: auto;
    padding-top: 10px;
    padding-left: 20px;
    padding-right: 20px;
    color: white;
    background: gray;
    height: 350px;
    display: none;
    position: absolute;
    z-index: 2222;
    width: 100%;
}

.no-interaction { 
    pointer-events: none !important; /*  */
}

.clickable {
    cursor: pointer;
}

.animate-repeat.ng-move,
.animate-repeat.ng-enter,
.animate-repeat.ng-leave {
    -webkit-transition: all linear 0.25s;
    -moz-transition: all linear 0.25s;
    -o-transition: all linear 0.25s;
    transition: all linear 0.25s;
}

    .animate-repeat.ng-leave.ng-leave-active,
    .animate-repeat.ng-move,
    .animate-repeat.ng-enter {
        opacity: 0.01;
    }

    .animate-repeat.ng-leave,
    .animate-repeat.ng-move.ng-move-active,
    .animate-repeat.ng-enter.ng-enter-active {
        opacity: 1;
    }


/*    TODO: review this to see if we can get a little more sophisticated with the showing the navbar branding
    */
/**********************************************************
 Images
***********************************************************/

#background {
    width: 100%;
    height: 100%;
    position: fixed;
    left: 0;
    top: 0;
    z-index: -1; /* Ensure div tag stays behind content; -999 might work, too. */
}

img.background {
    /* Set rules to fill background */
    min-height: 100%;
    min-width: 1024px;
    /* Set up proportionate scaling */
    width: 100%;
    height: auto;
    /* Set up positioning */
    position: fixed;
    top: 0;
    left: 0;
}

body.show-background {
    background: url(../img/epicor-background.jpg) no-repeat center center fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

@media screen and (max-width: 1024px) { /* Specific to this particular image */
    img.background {
        left: 50%;
        margin-left: -512px; /* 50% */
    }
}

/**********************************************************
 Login View 
***********************************************************/
.login-view #msgPanel {
    padding-left: 20px;    
    padding-right: 20px;    
}

.login-view #loginButtonGroup.fullWidth {
    width: 100%;
}

.login-view #loginButton {
    padding: 10px 20px;
    width: 100%;
}

.login-view #loginButton.allowPromptWidth {
    width: 248px;
}

.login-view #showPromptButton {
    width: 51px;
    padding: 13px 13px 14px 13px;
}

.login-view div#login-intro h1 {
    margin: 5px 0 0 0;
}

.login-view div.login-content {
    padding: 30px 0; /* 30/16  */
}

.login-view #login-form {
    width: 300px;
    margin: 0 auto;
}

.login-view .loginFooter {
    position: absolute;
    bottom: 0;
    width: 100%;
    padding-right: 2px;
}

.login-view .login-content.well {
    -moz-border-radius: 0;
    -webkit-border-radius: 0;
    border-radius: 0;
    width: 100%;
    margin-top: 10%;
    background-color: #e0e0e0;
    background-color: rgba(224, 224, 224, 0.90);
}
.login-view #login-form * {
    opacity: 1;
}

.login-loading #loginProgressIcon {
    padding: 0 8px;
}

.login-loading #loadingScreenContent{
    height: calc(100% - 100px);
    display: flex;
    justify-content: center;
    align-items: center;
}

.login-loading #loadingScreenHeader {
    height: 100px;
     
}

fieldset {
    border: 0;
}

.semicircle {
    height: 100px;
    width: 75px;
    margin: 0 auto;
    text-align: left;
    padding-top: 18px;
    padding-left: 14px;
    -moz-border-radius: 0 100px 100px 0;
    -webkit-border-radius: 0 100px 100px 0;
    border-radius: 0 100px 100px 0;
}

@media screen and (max-height: 500px) {
    .login-view .login-content.well {
        margin-top: 0px;
    }
    .login-view div.login-content {
        padding-top: 5px;
    }
}
@media screen and (max-height: 300px) {
    .login-view .loginFooter {
        visibility: hidden;
    }
}

/**********************************************************
 Home View 
***********************************************************/

#workspace {
    width: 100%;
    position: relative;
    margin: 15px auto;
    padding-left: 15px;
}

#masonryContainer {
    margin: auto;
}

.ema-welcome-tile .ema-weekday {
    padding: 25px 15px 25px 15px;
}

.ema-welcome-tile .ema-tile-date {
    background: none;
    position: absolute;
    top: 0;
    right: 20px;
    z-index: 99;
}

.ema-welcome-tile .ema-tile-date .ema-date {
    font-size: 4em;
}

.ema-welcome-tile .ema-tile-date .ema-month {
    font-size: 2em;
    position: absolute;
    top: 70px;
    right: 5px;
}

.ema-welcome-tile img {
    width: 100%;
    height: 70%;
}

.searchgroup {
    position: absolute;
    padding-left: 15px;
    padding-right: 15px;
    opacity: 0.7;
    top: 150px;
}
#workspaceHeader {
    margin-top: 0;
}
#workspaceControls {
    margin-left: 40px;
}

#workspaceDivider {
    margin: 2px 0 10px 40px;
}

#companySiteSelection {
    margin: 10px 10px 10px 0;
    cursor: pointer;
}

.live-tile.well {
    border-radius: 0;
    padding: 0;
    margin: 0 0 10px 0;
}
/**********************************************************
 Settings Panel
***********************************************************/
.offscreen {
    position: relative;
    left: 100%;
}

.panel-primary {
    overflow: hidden;
}

.panel-body {
    overflow: auto;
}

/**********************************************************
 Dashboard View(s)
***********************************************************/

.message-bar {
    padding: 2px 2px 2px 8px;
    margin: 2px;
}

.message-bar.collapsed {
    height: 0;
    margin: 0;
    padding: 0;
}

.message-bar.collapsed > small {
    display: none;
}

/**********************************************************
 Dashboard Flat Menu
***********************************************************/

.ema-flat-menu .menu-header {
    -ms-text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    padding: 12px;
    border-bottom: 1px solid;
}

.ema-flat-menu .menu-item-header {
    -ms-text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    text-indent: 3px;
}

.ema-flat-menu .menu-item-group {
    margin-left: 15px;
}

.ema-flat-menu .menu-item-group-text {
    border-bottom: 1px solid;
    padding-bottom: 10px;
}

.ema-flat-menu .menu-item-text {
    width: 195px;
    overflow: hidden;
    -ms-text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
}

.ema-flat-menu .menu-favorite {
    line-height: 40px;
    padding-right: 20px;
}

.ema-flat-menu .menu-favorite.gold {
        color: gold;
    }

.ema-flat-menu .menu-item-divider {
}

.ema-flat-menu hr {
    margin-top: 3px;
    margin-bottom: 3px;
    margin-right: 3px;
    height: 1px;
    border: none;
}

.ema-flat-menu li {
    padding: 0;
    margin: 0;
    text-indent: 8px;
    line-height: 40px;
    list-style-type: none;
    white-space: nowrap;
}

.ema-flat-menu li a {
    display: block;
    text-decoration: none;
    text-overflow: ellipsis;
    overflow: hidden;
}

.ema-flat-menu ul {
    padding-left: 0;
}

.ema-flat-menu li a:active,
.ema-flat-menu li a:focus {
    text-decoration: none;
}


/**********************************************************
 Grid View
***********************************************************/
.grid-info {
    height: 48px;
    margin: 2px 2px 0 2px;
}

.grid-info > p {
    margin-left: 10px;
    padding-top: 12px;
    vertical-align: middle;
}

.grid-view {
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    margin: 0 2px 0 2px;
}

.grid-view.invisible {
    visibility: hidden;
    height: 0;
}

#gridInfo.hide {
    visibility: hidden;
}


/**********************************************************
 Tracker View
***********************************************************/
#trackerInfo {
    margin: 8px;
}

/**********************************************************
 Chart View
***********************************************************/

.view-content {
    overflow: auto;
}


#main {
    min-height: 200px;
}

.scheme-selector {
    width: 60px;
    height: 60px;
    border-top: 1px solid black;
    border-left: 1px solid black;
    border-right: 1px solid black;
}

.ema-status .ema-error{
    padding-left: 30px;
    display: block;
}

#atlwdg-container.atlwdg-popup {
    width: auto;
}

li.menu-item {
    height: 40px;
}

.form-inline div.HeaderFooterBlock
{
    display:block;
}

.form-inline div.HeaderFooterInline
{
    display:inline-block;
}
